Subject: Re: [PATCH] Make snd-aoa cope with lack of line-output-detect property

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 11 Jul 2006 07:19:35 +1000

On Mon, 2006-07-10 at 15:11 +0200, Johannes Berg wrote:
> On Mon, 2006-07-10 at 22:39 +1000, Paul Mackerras wrote:
> > The snd-aoa stuff falls over on my G4 powerbook (1.5GHz Albook) with a
> > null pointer dereference in of_find_property.  It turns out that this
> > was because it couldn't find a device node for the line-output detect
> > GPIO.  This patch fixes it.
> 
> That's interesting. I thought I was running this code. Hmm :>

Slightly different model I suppose, 5,4 vs. 5,6 no ? Paul, can you send
Johannes a dumb of your device-tree ?

> I should probably drop the get_irq function completely and do that in
> line. And yes, that should be NO_IRQ I guess. I'll prepare a patch
> later.

Ben.